image: 'python:3.6.1'

lint:
  before_script:
  - pip install -r requirements/lint.txt
  - pre-commit install-hooks
  script: pre-commit run --all-files

test:
  before_script:
  - pip install -r requirements/test.txt
  script: pytest
